---
layout: post
title: ESLint 0.21.1 released
tags:
  - release
  - breaking change
---
# ESLint 0.21.1 released

We just pushed ESLint 0.21.1, which is a patch release upgrade. This release includes primarily bug fixes discovered in 0.21.0.

## Bug Fixes

* Fix: --init indent setting (fixes [#2493](https://github.com/eslint/eslint/issues/2493)) (Nicholas C. Zakas)
* Fix: Allow comment before comma for comma-spacing rule (fixes [#2408](https://github.com/eslint/eslint/issues/2408)) (Gyandeep Singh)
* Fix: dot-location should use correct dot token (fixes [#2504](https://github.com/eslint/eslint/issues/2504)) (Mathias Schreck)
* Fix: Enable full support for eslint-env comments (refs [#2134](https://github.com/eslint/eslint/issues/2134)) (Ilya Volodin)
* Fix: forced no-shadow to check all scopes (fixes [#2294](https://github.com/eslint/eslint/issues/2294)) (Jose Roberto Vidal)
* Fix: loc obj in report fn expects column (fixes [#2481](https://github.com/eslint/eslint/issues/2481)) (Varun Verma)
* Fix: Not to override the required extended config object directly (fixes [#2487](https://github.com/eslint/eslint/issues/2487)) (Gyandeep Singh)
* Fix: rule no-duplicate-case problem with CallExpressions. (fixes [#2499](https://github.com/eslint/eslint/issues/2499)) (Matthias Osswald)
* Fix: Stop linebreak-style from crashing (fixes [#2490](https://github.com/eslint/eslint/issues/2490)) (James Whitney)
* Revert "Fix: sanitise Jekyll interpolation during site generation (fixes [#2297](https://github.com/eslint/eslint/issues/2297))" (Nicholas C. Zakas)

## Documentation

* Docs: Added Gitter badge (The Gitter Badger)
* Docs: added recursive function example to no-unused-vars (Jose Roberto Vidal)
* Docs: Fix typo (then -> than) (Vladimir Agafonkin)
* Docs: Fixing trailing spaces (Fixes [#2478](https://github.com/eslint/eslint/issues/2478)) (Ilya Volodin)
* Docs: Mention bundling multiple shareable configs (Nicholas C. Zakas)
* Docs: Update README FAQs (Nicholas C. Zakas)

## Build-Related

* Build: Make sure that all md files end with empty line (fixes [#2520](https://github.com/eslint/eslint/issues/2520)) (Ilya Volodin)
* Build: Speed up site generation (fixes [#2475](https://github.com/eslint/eslint/issues/2475)) (Ilya Volodin)
* Build: Update markdownlint dependency (David Anson)
